
function PortalBox_MinimapButton_Reposition()
	PortalBox_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(MinimapPos)),(80*sin(MinimapPos))-52)
end


function portalbox_OnLoad()
	this:RegisterEvent('VARIABLES_LOADED');
	out("PortalBox 0.2 Loaded");
	SLASH_PORTALBOX1 = "/portals";
	SLASH_PORTALBOX2 = "/port";
	SlashCmdList["PORTALBOX"] = function(msg)
					portalbox_SlashCommandHandler(msg);					
	end
	
end

function portalbox_OnEvent(event)
    PortalBox_MinimapButton_Reposition();
end

function PortalBox_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	MinimapPos = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	PortalBox_MinimapButton_Reposition() -- move the button
end

function PortalBox_MinimapButton_OnClick()
	portalbox_toggle(msg);
end

function out(text)
	DEFAULT_CHAT_FRAME:AddMessage(text)
end

function portalbox_SlashCommandHandler(msg)
	portalbox_toggle(msg);
end

function portalbox_toggle(num)
	local race = UnitRace("player")
	local frame = getglobal("PortalboxMainFrame")
	local hordeFrame = getglobal("PortalboxHordeFrame")
	
	if (race == "Troll" or race == "Undead" or race == "Blood Elf" or race == "Orc" or race == "Tauren") then
		if (hordeFrame) then
			if (hordeFrame:IsVisible()) then
				hordeFrame:Hide();
			else
				hordeFrame:Show();
				end
			end
		else
	if (frame) then
		if (frame:IsVisible()) then
			frame:Hide();
		else
			frame:Show();
			end
		end
	end
end

